kernel 4.15 breaks nouveau on Lenovo P50

Bug #1763189 reported by John Lindgren on 2018-04-11
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
Fix Released
High
linux (Ubuntu)
High
Joseph Salisbury
Bionic
High
Joseph Salisbury

Bug Description

== SRU Justification ==
A regression was introduced in Bionic. The bug reporter states that
the system freezes at boot, apparently when the nouveau driver tries to start.
The console is still in 80x25 text mode at this point. No panic or error
message is displayed, only unrelated log messages.

This regression was introduced by commit af2405af07d168e2 in v4.14-rc1
and fixed by the patch submitted in this SRU request. The patch
originated in the following upstream bug report:
https://bugs.freedesktop.org/show_bug.cgi?id=106456

The patch has been submitted upstream, but has not yet landed in
linux-next or mainline. The patch is being send as SAUCE until it lands
upstream.

== Fix ==
UBUNTU: SAUCE: drm/nouveau: Fix deadlock in nv50_mstm_register_connector()

== Regression Potential ==
Low. This is to fix an existing regression and had been sent to
upstream stable, so it will recieve additional upstream review.

== Test Case ==
A test kernel was built with this patch and tested by the original bug reporter.
The bug reporter states the test kernel resolved the bug.

== Original Bug Description ==
After updating to linux 4.15.0-13-generic, the system freezes at boot, apparently when the nouveau driver tries to start. The console is still in 80x25 text mode at this point. No panic or error message is displayed, only unrelated log messages (screenshot attached).

Booting in recovery mode is possible and allows X11 to start using the vesa driver.

nouveau still works fine when booting an older kernel (4.13.0-36-generic) so this problem seems to be specific to 4.15.0.

ProblemType: Bug
ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
Date: Wed Apr 11 17:25:27 2018
Dependencies:
 adduser 3.113+nmu3ubuntu4
 apt 1.2.26
 apt-utils 1.2.26
 busybox-initramfs 1:1.22.0-15ubuntu1
 coreutils 8.25-2ubuntu3~16.04
 cpio 2.11+dfsg-5ubuntu1
 debconf 1.5.58ubuntu1
 debianutils 4.7
 dpkg 1.18.4ubuntu1.4
 e2fslibs 1.42.13-1ubuntu1
 e2fsprogs 1.42.13-1ubuntu1
 gcc-5-base 5.4.0-6ubuntu1~16.04.9
 gcc-6-base 6.0.1-0ubuntu1
 gettext-base 0.19.7-2ubuntu3
 gnupg 1.4.20-1ubuntu3.1
 gpgv 1.4.20-1ubuntu3.1
 grub-common 2.02~beta2-36ubuntu3.17
 grub-gfxpayload-lists 0.7
 grub-pc 2.02~beta2-36ubuntu3.17
 grub-pc-bin 2.02~beta2-36ubuntu3.17
 grub2-common 2.02~beta2-36ubuntu3.17
 init-system-helpers 1.29ubuntu4
 initramfs-tools 0.122ubuntu8.11
 initramfs-tools-bin 0.122ubuntu8.11
 initramfs-tools-core 0.122ubuntu8.11
 initscripts 2.88dsf-59.3ubuntu2
 insserv 1.14.0-5ubuntu3
 klibc-utils 2.0.4-8ubuntu1.16.04.4
 kmod 22-1ubuntu5
 libacl1 2.2.52-3
 libapt-inst2.0 1.2.26
 libapt-pkg5.0 1.2.26
 libasprintf0v5 0.19.7-2ubuntu3
 libattr1 1:2.4.47-2
 libaudit-common 1:2.4.5-1ubuntu2.1
 libaudit1 1:2.4.5-1ubuntu2.1
 libblkid1 2.27.1-6ubuntu3.4
 libbz2-1.0 1.0.6-8
 libc6 2.23-0ubuntu10
 libcomerr2 1.42.13-1ubuntu1
 libdb5.3 5.3.28-11ubuntu0.1
 libdevmapper1.02.1 2:1.02.110-1ubuntu10
 libfdisk1 2.27.1-6ubuntu3.4
 libfreetype6 2.6.1-0.1ubuntu2.3
 libfuse2 2.9.4-1ubuntu3.1
 libgcc1 1:6.0.1-0ubuntu1
 libgcrypt20 1.6.5-2ubuntu0.4
 libgpg-error0 1.21-2ubuntu1
 libgpm2 1.20.4-6.1
 libklibc 2.0.4-8ubuntu1.16.04.4
 libkmod2 22-1ubuntu5
 liblz4-1 0.0~r131-2ubuntu2
 liblzma5 5.1.1alpha+20120614-2ubuntu2
 libmount1 2.27.1-6ubuntu3.4
 libncurses5 6.0+20160213-1ubuntu1
 libncursesw5 6.0+20160213-1ubuntu1
 libpam-modules 1.1.8-3.2ubuntu2
 libpam-modules-bin 1.1.8-3.2ubuntu2
 libpam0g 1.1.8-3.2ubuntu2
 libpcre3 2:8.38-3.1
 libpng12-0 1.2.54-1ubuntu1
 libprocps4 2:3.3.10-4ubuntu2.3
 libreadline6 6.3-8ubuntu2
 libselinux1 2.4-3build2
 libsemanage-common 2.3-1build3
 libsemanage1 2.3-1build3
 libsepol1 2.4-2
 libsmartcols1 2.27.1-6ubuntu3.4
 libss2 1.42.13-1ubuntu1
 libstdc++6 5.4.0-6ubuntu1~16.04.9
 libsystemd0 229-4ubuntu21.2
 libtinfo5 6.0+20160213-1ubuntu1
 libudev1 229-4ubuntu21.2
 libusb-0.1-4 2:0.1.12-28
 libustr-1.0-1 1.0.4-5
 libuuid1 2.27.1-6ubuntu3.4
 linux-base 4.0ubuntu1
 lsb-base 9.20160110ubuntu0.2
 mount 2.27.1-6ubuntu3.4
 multiarch-support 2.23-0ubuntu10
 os-prober 1.70ubuntu3.3
 passwd 1:4.2-3.1ubuntu5.3
 perl-base 5.22.1-9ubuntu0.2
 procps 2:3.3.10-4ubuntu2.3
 psmisc 22.21-2.1build1
 readline-common 6.3-8ubuntu2
 sensible-utils 0.0.9ubuntu0.16.04.1
 sysv-rc 2.88dsf-59.3ubuntu2
 sysvinit-utils 2.88dsf-59.3ubuntu2
 tar 1.28-2.1ubuntu0.1
 ubuntu-keyring 2012.05.19
 ucf 3.0036
 udev 229-4ubuntu21.2
 util-linux 2.27.1-6ubuntu3.4
 uuid-runtime 2.27.1-6ubuntu3.4
 zlib1g 1:1.2.8.dfsg-2ubuntu4.1
DistroRelease: Ubuntu 16.04
InstallationDate: Installed on 2017-02-01 (434 days ago)
InstallationMedia: Xubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
JournalErrors:
 -- Logs begin at Wed 2018-04-11 17:25:19 EDT, end at Wed 2018-04-11 17:25:22 EDT. --
 Apr 11 17:25:19 hostname kernel: Intel Spectre v2 broken microcode detected; disabling Speculation Control
 Apr 11 17:25:19 hostname kernel: ENERGY_PERF_BIAS: Set to 'normal', was 'performance'
 Apr 11 17:25:19 hostname kernel: ENERGY_PERF_BIAS: View and update with x86_energy_perf_policy(8)
 Apr 11 17:25:19 hostname kernel: resource sanity check: requesting [mem 0xfed10000-0xfed15fff], which spans more than pnp 00:01 [mem 0xfed10000-0xfed13fff]
 Apr 11 17:25:19 hostname kernel: caller snb_uncore_imc_init_box+0x6b/0xb0 mapping multiple BARs
 Apr 11 17:25:19 hostname kernel: (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
 Apr 11 17:25:19 hostname kernel: usb: port power management may be unreliable
 Apr 11 17:25:19 hostname kernel: [Firmware Bug]: ACPI(PEGP) defines _DOD but not _DOS
 Apr 11 17:25:19 hostname kernel: acpi PNP0C14:01: duplicate WMI GUID 05901221-D566-11D1-B2F0-00A0C9062910 (first instance was on PNP0C14:00)
 Apr 11 17:25:19 hostname kernel: acpi PNP0C14:02: duplicate WMI GUID 05901221-D566-11D1-B2F0-00A0C9062910 (first instance was on PNP0C14:00)
 Apr 11 17:25:19 hostname kernel: ata4.00: supports DRM functions and may not be fully accessible
 Apr 11 17:25:19 hostname kernel: ata4.00: supports DRM functions and may not be fully accessible
 Apr 11 17:25:19 hostname kernel: (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
 Apr 11 17:25:19 hostname kernel: platform regulatory.0: Direct firmware load for regulatory.db failed with error -2
 Apr 11 17:25:19 hostname systemd-tmpfiles[405]: [/usr/lib/tmpfiles.d/var.conf:14] Duplicate line for path "/var/log", ignoring.
 Apr 11 17:25:19 hostname kernel: iwlwifi 0000:04:00.0: Direct firmware load for iwlwifi-8000C-34.ucode failed with error -2
 Apr 11 17:25:19 hostname kernel: iwlwifi 0000:04:00.0: Direct firmware load for iwlwifi-8000C-33.ucode failed with error -2
 Apr 11 17:25:19 hostname kernel: iwlwifi 0000:04:00.0: Direct firmware load for iwlwifi-8000C-32.ucode failed with error -2
 Apr 11 17:25:19 hostname kernel: (NULL device *): hwmon_device_register() is deprecated. Please convert the driver to use hwmon_device_register_with_info().
 Apr 11 17:25:19 hostname kernel: thermal thermal_zone3: failed to read out thermal zone (-61)
Package: linux-image-4.15.0-13-generic 4.15.0-13.14~16.04.1
PackageArchitecture: amd64
ProcCpuinfoMinimal:
 processor : 7
 vendor_id : GenuineIntel
 cpu family : 6
 model : 94
 model name : Intel(R) Core(TM) i7-6820HQ CPU @ 2.70GHz
 stepping : 3
 microcode : 0xc2
 cpu MHz : 3535.950
 cache size : 8192 KB
 physical id : 0
 siblings : 8
 core id : 3
 cpu cores : 4
 apicid : 7
 initial apicid : 7
 fpu : yes
 fpu_exception : yes
 cpuid level : 22
 wp : yes
 flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc art arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc cpuid aperfmperf tsc_known_freq pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 sdbg fma cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm 3dnowprefetch cpuid_fault epb invpcid_single pti tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 hle avx2 smep bmi2 erms invpcid rtm mpx rdseed adx smap clflushopt intel_pt xsaveopt xsavec xgetbv1 xsaves dtherm ida arat pln pts hwp hwp_notify hwp_act_window hwp_epp
 bugs : cpu_meltdown spectre_v1 spectre_v2
 bogomips : 5424.00
 clflush size : 64
 cache_alignment : 64
 address sizes : 39 bits physical, 48 bits virtual
 power management:
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 4.15.0-13.14~16.04.1-generic 4.15.10
SourcePackage: linux-hwe-edge
Tags: xenial
Uname: Linux 4.15.0-13-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
_MarkForUpload: True
---
ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: john 1068 F.... pulseaudio
 /dev/snd/controlC0: john 1068 F.... pulseaudio
DistroRelease: Ubuntu 16.04
HibernationDevice: RESUME=UUID=1114cee9-db59-4a6e-a257-06ed1131a72b
InstallationDate: Installed on 2017-02-01 (435 days ago)
InstallationMedia: Xubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 (20160719)
MachineType: LENOVO 20EN001AUS
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-13-generic root=UUID=cd371ad3-bcc5-4389-b0b7-910bd49727c5 ro single nomodeset
ProcVersionSignature: Ubuntu 4.15.0-13.14~16.04.1-generic 4.15.10
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-13-generic N/A
 linux-backports-modules-4.15.0-13-generic N/A
 linux-firmware 1.157.17
Tags: xenial
Uname: Linux 4.15.0-13-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo vboxusers wireshark
_MarkForUpload: True
dmi.bios.date: 11/10/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: N1EET62W (1.35 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20EN001AUS
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40705 WIN
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.modalias: dmi:bvnLENOVO:bvrN1EET62W(1.35):bd11/10/2016:svnLENOVO:pn20EN001AUS:pvrThinkPadP50:rvnLENOVO:rn20EN001AUS:rvrSDK0J40705WIN:cvnLENOVO:ct10:cvrNone:
dmi.product.family: ThinkPad P50
dmi.product.name: 20EN001AUS
dmi.product.version: ThinkPad P50
dmi.sys.vendor: LENOVO

CVE References

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1763189

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: bionic
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key

apport information

tags: added: apport-collected xenial
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
John Lindgren (john-lindgren) wrote :

I tested the following mainline packages:

linux-headers-4.16.0-041600_4.16.0-041600.201804012230_all.deb
linux-headers-4.16.0-041600-generic_4.16.0-041600.201804012230_amd64.deb
linux-image-4.16.0-041600-generic_4.16.0-041600.201804012230_amd64.deb

Still unbootable except in recovery mode.

The only difference, 4.16 generates new messages about missing firmware that neither 4.13 nor 4.15 generated:

W: Possible missing firmware /lib/firmware/nvidia/gp108/sec2/sig.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/sec2/image.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/sec2/desc.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/nvdec/scrubber.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/sw_method_init.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/sw_bundle_init.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/sw_nonctx.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/sw_ctx.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/gpccs_sig.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/gpccs_data.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/gpccs_inst.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/gpccs_bl.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/fecs_sig.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/fecs_data.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/fecs_inst.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/gr/fecs_bl.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/acr/ucode_unload.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/acr/ucode_load.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/acr/unload_bl.bin for module nouveau
W: Possible missing firmware /lib/firmware/nvidia/gp108/acr/bl.bin for module nouveau

I tried installing nouveau-firmware with no difference.

tags: added: kernel-bug-exists-upstream
John Lindgren (john-lindgren) wrote :

Also affects Ubuntu Mate 18.04 Beta 2 with nouveau (using Linux 4.15).

Even the installer is unbootable unless "nomodeset xforcevesa" is added to the kernel command line.

The proprietary NVidia driver seems to work okay.

John Lindgren (john-lindgren) wrote :

This has something to do with using DisplayPort monitors (through the two DisplayPort connectors on the laptop dock). When the laptop is undocked and a single external monitor connected to the HDMI port on the laptop itself, nouveau works fine. Dock the laptop and suddenly it can't boot any more.

To recap:
linux 4.13 + nouveau + 2 DisplayPort monitors = works fine
linux 4.15 + nouveau + 2 DisplayPort monitors = unbootable
linux 4.15 + proprietary driver + 2 DisplayPort monitors = works fine
linux 4.15 + nouveau + 1 HDMI monitor = works fine

John Lindgren (john-lindgren) wrote :

Bisected:

af2405af07d168e2905f2ac9494d3a804a549f0f is the first bad commit
commit af2405af07d168e2905f2ac9494d3a804a549f0f
Author: Thierry Reding <email address hidden>
Date: Tue Jul 4 17:18:21 2017 +0200

    drm/fb-helper: Push down modeset lock into FB helpers

    Move the modeset locking from drivers into FB helpers.

    v2: Also handle intel_connector_add_to_fbdev.

    v3: Prevent race in intel_dp_mst with ->detect (Maarten)

    Cc: Maarten Lankhorst <email address hidden>
    Cc: Alex Deucher <email address hidden>
    Cc: Christian König <email address hidden>
    Tested-by: John Stultz <email address hidden>
    Signed-off-by: Thierry Reding <email address hidden> (v1)
    Reviewed-by: Maarten Lankhorst <email address hidden>
    Signed-off-by: Daniel Vetter <email address hidden>
    Link: http://patchwork.<email address hidden>

Joseph Salisbury (jsalisbury) wrote :

Were you able to test the fix posted in comment 2 of the upstream bug report? If you need, I can build you a test kernel with it.

Changed in linux (Ubuntu):
importance: Medium → High
Changed in linux (Ubuntu Bionic):
status: New → Confirmed
importance: Undecided → High
status: Confirmed → Triaged
Changed in linux (Ubuntu):
status: Confirmed → Triaged
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Joseph Salisbury (jsalisbury)
John Lindgren (john-lindgren) wrote :

I didn't test the patch in comment #2 directly. It's very similar to the one I posted in comment #1 (which I've tested), so I'm pretty confident it would work. I'd be happy to try out a test kernel though.

Joseph Salisbury (jsalisbury) wrote :

It doesn't look like the patch from comment 2 landed in mainline or linux-next as of yet. Do you plan on submitting your patch upstream? We could integrate either patch into the Ubuntu kernel, but we prefer to use the one that is in the upstream kernel.

I built a test kernel with the patch from comment 2 for testing. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1763189

Can you test this kernel and see if it resolves this bug?

Changed in linux (Ubuntu):
status: Triaged → In Progress
Changed in linux (Ubuntu Bionic):
status: Triaged → In Progress
John Lindgren (john-lindgren) wrote :

The test kernel works fine, thanks!

Ben Skeggs is an upstream nouveau maintainer, so I assume that anything in https://github.com/skeggsb/nouveau will end up in mainline eventually. So I would suggest taking the patch from comment #2. I'll ping him on GitHub about submitting it to mainline sooner rather than later.

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing! I"ll submit an SRU request for that patch.

Changed in linux:
importance: Unknown → High
status: Unknown → Confirmed
Joseph Salisbury (jsalisbury) wrote :
description: updated
Changed in linux:
status: Confirmed → Fix Released
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
John Lindgren (john-lindgren) wrote :

4.15.0-23-generic from -proposed is working fine.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (11.4 KiB)

This bug was fixed in the package linux - 4.15.0-23.25

---------------
linux (4.15.0-23.25) bionic; urgency=medium

  * linux: 4.15.0-23.25 -proposed tracker (LP: #1772927)

  * arm64 SDEI support needs trampoline code for KPTI (LP: #1768630)
    - arm64: mmu: add the entry trampolines start/end section markers into
      sections.h
    - arm64: sdei: Add trampoline code for remapping the kernel

  * Some PCIe errors not surfaced through rasdaemon (LP: #1769730)
    - ACPI: APEI: handle PCIe AER errors in separate function
    - ACPI: APEI: call into AER handling regardless of severity

  * qla2xxx: Fix page fault at kmem_cache_alloc_node() (LP: #1770003)
    - scsi: qla2xxx: Fix session cleanup for N2N
    - scsi: qla2xxx: Remove unused argument from qlt_schedule_sess_for_deletion()
    - scsi: qla2xxx: Serialize session deletion by using work_lock
    - scsi: qla2xxx: Serialize session free in qlt_free_session_done
    - scsi: qla2xxx: Don't call dma_free_coherent with IRQ disabled.
    - scsi: qla2xxx: Fix warning in qla2x00_async_iocb_timeout()
    - scsi: qla2xxx: Prevent relogin trigger from sending too many commands
    - scsi: qla2xxx: Fix double free bug after firmware timeout
    - scsi: qla2xxx: Fixup locking for session deletion

  * Several hisi_sas bug fixes (LP: #1768974)
    - scsi: hisi_sas: dt-bindings: add an property of signal attenuation
    - scsi: hisi_sas: support the property of signal attenuation for v2 hw
    - scsi: hisi_sas: fix the issue of link rate inconsistency
    - scsi: hisi_sas: fix the issue of setting linkrate register
    - scsi: hisi_sas: increase timer expire of internal abort task
    - scsi: hisi_sas: remove unused variable hisi_sas_devices.running_req
    - scsi: hisi_sas: fix return value of hisi_sas_task_prep()
    - scsi: hisi_sas: Code cleanup and minor bug fixes

  * [bionic] machine stuck and bonding not working well when nvmet_rdma module
    is loaded (LP: #1764982)
    - nvmet-rdma: Don't flush system_wq by default during remove_one
    - nvme-rdma: Don't flush delete_wq by default during remove_one

  * Warnings/hang during error handling of SATA disks on SAS controller
    (LP: #1768971)
    - scsi: libsas: defer ata device eh commands to libata

  * Hotplugging a SATA disk into a SAS controller may cause crash (LP: #1768948)
    - ata: do not schedule hot plug if it is a sas host

  * ISST-LTE:pKVM:Ubuntu1804: rcu_sched self-detected stall on CPU follow by CPU
    ATTEMPT TO RE-ENTER FIRMWARE! (LP: #1767927)
    - powerpc/powernv: Handle unknown OPAL errors in opal_nvram_write()
    - powerpc/64s: return more carefully from sreset NMI
    - powerpc/64s: sreset panic if there is no debugger or crash dump handlers

  * fsnotify: Fix fsnotify_mark_connector race (LP: #1765564)
    - fsnotify: Fix fsnotify_mark_connector race

  * Hang on network interface removal in Xen virtual machine (LP: #1771620)
    - xen-netfront: Fix hang on device removal

  * HiSilicon HNS NIC names are truncated in /proc/interrupts (LP: #1765977)
    - net: hns: Avoid action name truncation

  * Ubuntu 18.04 kernel crashed while in degraded mode (LP: #1770849)
    - SAUCE: powerpc/perf: Fix memory allocation for...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.